Visitation

- « CommonMark\Interfaces\IVisitor

- CommonMark\Interfaces\IVisitor::leave »

- PHP Manual
- CommonMark\Interfaces\IVisitor
- Visitation

# CommonMark\Interfaces\IVisitor::enter

(cmark >= 1.0.0)

CommonMark\Interfaces\IVisitor::enter — Visitation

### Description

abstract public CommonMark\Interfaces\IVisitor::enter(IVisitable `$visitable`): int|IVisitable|null

### Parameters

`visitable`

  The current CommonMark\Interfaces\IVisitable being entered

### Return Values

Returning CommonMark\Interfaces\IVisitor::Done will cause the backing iterator to exit.

Returning CommonMark\Interfaces\IVisitor::Enter will reset the backing iterator at entering the current IVisitable

Returning CommonMark\Interfaces\IVisitor::Leave will reset the backing iterator at exiting the current IVisitable

Returning an IVisitable will reset the backing iterator at entering the given IVisitable

Returning nothing will allow the backing iterator to continue

### See Also

- CommonMark\Interfaces\IVisitable::accept